commit b1a16c4ec9bb62c36ad1395feb9211d3a6a2b96a
Author: freddy77 <freddy77>
Date:   Fri May 21 15:18:48 2010 +0000

    handle column size for SYBDATETIMN data type (Craig A. Berry)

diff --git a/ChangeLog b/ChangeLog
index e725282..0ff0264 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,7 @@
+Fri May 21 17:18:05 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/apps/bsqldb.c src/apps/fisql/fisql.c src/dblib/dblib.c:
+	- handle column size for SYBDATETIMN data type (Craig A. Berry)
+
 Fri May 21 16:10:04 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/apps/freebcp.c src/apps/freebcp.h:
 	- add -i and -o options to freebcp (patch from Craig A. Berry)
@@ -2463,4 +2467,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3026 2010/05/21 14:10:31 freddy77 Exp $
+$Id: ChangeLog,v 1.3027 2010/05/21 15:18:48 freddy77 Exp $
diff --git a/src/apps/bsqldb.c b/src/apps/bsqldb.c
index 5319757..883470b 100644
--- a/src/apps/bsqldb.c
+++ b/src/apps/bsqldb.c
@@ -49,7 +49,7 @@
 #include <sybdb.h>
 #include "replacements.h"
 
-static char software_version[] = "$Id: bsqldb.c,v 1.41 2010/04/08 09:02:55 freddy77 Exp $";
+static char software_version[] = "$Id: bsqldb.c,v 1.42 2010/05/21 15:18:49 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef _WIN32
@@ -688,8 +688,8 @@ get_printable_size(int type, int size)	/* adapted from src/dblib/dblib.c */
 	case SYBMONEY4:
 		return 12;	/* FIX ME */
 	case SYBDATETIME:
-		return 26;	/* FIX ME */
 	case SYBDATETIME4:
+	case SYBDATETIMN:
 		return 26;	/* FIX ME */
 #if 0	/* not exported by sybdb.h */
 	case SYBBITN:
diff --git a/src/apps/fisql/fisql.c b/src/apps/fisql/fisql.c
index 2a09df3..9e4b512 100644
--- a/src/apps/fisql/fisql.c
+++ b/src/apps/fisql/fisql.c
@@ -175,8 +175,8 @@ get_printable_size(int type, int size)
 	case SYBMONEY4:
 		return 12;	/* FIX ME */
 	case SYBDATETIME:
-		return 26;	/* FIX ME */
 	case SYBDATETIME4:
+	case SYBDATETIMN:
 		return 26;	/* FIX ME */
 #if 0				/* seems not to be exported to sybdb.h */
 	case SYBBITN:
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 00f6e44..00e2145 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -75,7 +75,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.363 2010/02/07 21:56:09 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.364 2010/05/21 15:18:49 freddy77 Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -3556,6 +3556,7 @@ _get_printable_size(TDSCOLUMN * colinfo)
 		return 12;
 	case SYBDATETIME:
 	case SYBDATETIME4:
+	case SYBDATETIMN:
 		return 26;
 	case SYBUNIQUE:
 		return 36;

